uuid: 972422bc-41a1-4267-8cf1-da0b6a19e4c0
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_team
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Team)'
source:
  plugin: d7_node
  node_type: team
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_team/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: body_field_migration_plugin
      source: body
  field_linkedin_account:
    -
      plugin: get
      source: field_linkedin_account
  field_media_images:
    -
      plugin: file_migration_plugin
      source: field_team_photo
  field_position:
    -
      plugin: get
      source: field_position
  field_team_role:
    -
      plugin: sub_process
      source: field_team_role
      process:
        target_id: tid
  field_website_url:
    -
      plugin: get
      source: field_website_url
  field_team_first_name:
    -
      plugin: get
      source: field_team_first_name
  field_team_last_name:
    -
      plugin: get
      source: field_team_last_name
destination:
  plugin: post_content_migrate
  default_bundle: team
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
